## org.hibernate.envers.query.criteria
Class BetweenAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.BetweenAuditExpression

All Implemented Interfaces:
  AuditCriterion

    public class BetweenAuditExpression

extends Object
implements AuditCriterion

Constructor Summary
`BetweenAuditExpression(PropertyNameGetter propertyNameGetter, Object lo, Object hi)`

Method Summary
`void` `addToQuery(AuditConfiguration auditCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BetweenAuditExpression

    public BetweenAuditExpression(PropertyNameGetter propertyNameGetter,
                                  Object lo,
                                  Object hi)

Method Detail

### addToQuery

    public void addToQuery(AuditConfiguration auditCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.